Name:		globus-core
%global _name %(tr - _ <<< %{name})
Version:	5.15
Release:	1%{?dist}
Summary:	Globus Toolkit - Globus Core

Group:		Development/Tools
License:	ASL 2.0
URL:		http://www.globus.org/
#		Source is extracted from the directory
#		source-trees/core/source in
#		http://www-unix.globus.org/ftppub/gt4/4.2.1/installers/src/
#		gt4.2.1-all-source-installer.tar.bz2
Source:		%{_name}-%{version}.tar.gz
Source1:	globus-gpt2pkg-config
#		Make file locations configurable:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6451
Patch0:		%{name}-conf.patch
#		Environment variable elimination patch:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6452
Patch1:		%{name}-usr.patch
#		Missing functions in configure check:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6453
Patch2:		%{name}-func.patch
#		Detect IOV_MAX correctly (requires _GNU_SOURCE):
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6454
Patch3:		%{name}-gnusource.patch
#		Make GPT_AGE_VERSION available to autotools:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6455
Patch4:		%{name}-age-version.patch
#		Missing shebang:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6456
Patch5:		%{name}-bootstrap-shebang.patch
#		Make configure --help look nice:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6457
Patch6:		%{name}-helpstring.patch
#		Fix doxygen documentation installation instructions:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6458
Patch7:		%{name}-doxygen.patch
#		Make it work with older automake versions:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6565
Patch8:		%{name}-compat.patch
#		Avoid race condition when renaming the libtool file:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6575
Patch9:		%{name}-libtool.patch
#		Adapt dependency script to Fedora's documentation location:
#		Not relevant for upstream - not submitted to globus bugzilla
Patch10:	%{name}-fedora.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 5.15-0.5
Requires:	pkgconfig
BuildRequires:	grid-packaging-tools
BuildRequires:	perl(XML::DOM)

%ifarch alpha ia64 ppc64 s390x sparc64 x86_64
%global flavor gcc64pthr
%global enable64 yes
%else
%global flavor gcc32pthr
%global enable64 no
%endif

%global debug_package %{nil}

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

%description
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The %{name} package contains:
Globus Core

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1 -b .conf
%patch1 -p1 -b .usr
%patch2 -p1 -b .func
%patch3 -p1 -b .gnusource
%patch4 -p1 -b .age
%patch5 -p1 -b .shebang
%patch6 -p1 -b .help
%patch7 -p1 -b .doxygen
%patch8 -p1 -b .compat
%patch9 -p1 -b .libtool
%patch10 -p1 -b .fedora

# custom perl requires that removes dependency on gpt perl modules
cat << EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(Grid::GPT::.*)/d'
EOF
%global __perl_requires %{_builddir}/%{_name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
rm -rf autom4te.cache
./bootstrap

%configure --includedir='${prefix}/include/globus' \
	   --libexecdir='${datadir}/globus' \
	   --with-threads=pthreads --with-thread-library=%{_libdir} \
	   --with-flavor=%{flavor} \
	   --enable-64bit=%{enable64} \
	   --with-setupdir='${datadir}/globus/setup' \
	   --with-testdir='${datadir}/globus/test/${PACKAGE}' \
	   --with-flavorincludedir='${libdir}/globus/include' \
	   --with-perlmoduledir=%{perl_vendorlib} \
	   --with-doxygendir='${datadir}/globus/doxygen' \
	   --with-newgpt

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

chmod -x $RPM_BUILD_ROOT%{_datadir}/globus/globus-build-env-*.sh

install %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/globus/globus-gpt2pkg-config

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
$RPM_BUILD_ROOT%{_datadir}/globus/globus-gpt2pkg-config \
  pkgdata/pkg_data_%{flavor}_dev.gpt > \
  $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}.pc

rm $RPM_BUILD_ROOT/GLOBUS_LICENSE
grep -v GLOBUS_LICENSE \
  $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/noflavor_data.filelist > \
  $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/noflavor_data.filelist.new
mv $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/noflavor_data.filelist.new \
  $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/noflavor_data.filelist

# Generate package filelists

cat $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/%{flavor}_pgm.filelist \
    $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/%{flavor}_rtl.filelist \
    $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/%{flavor}_dev.filelist \
    $RPM_BUILD_ROOT%{_datadir}/globus/packages/%{_name}/noflavor_data.filelist \
  | sed s!^!%{_prefix}! > package.filelist

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p GLOBUS_LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{_datadir}/globus
%dir %{_datadir}/globus/aclocal
%dir %{_datadir}/globus/doxygen
%dir %{_datadir}/globus/flavors
%dir %{_datadir}/globus/packages
%dir %{_datadir}/globus/packages/%{_name}
%dir %{_libdir}/globus
%dir %{_libdir}/globus/include
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_datadir}/globus/globus-gpt2pkg-config

%changelog
* Fri Mar 20 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 5.15-1
- Change defines to globals

* Sun Mar 15 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 5.15-0.5
- Merge devel with main

* Thu Feb 26 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 5.15-0.4
- Add s390x to the list of 64 bit platforms

* Mon Dec 29 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 5.15-0.3
- Adapt to updated GPT package

* Sun Oct 12 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 5.15-0.2
- Update to Globus Toolkit 4.2.1

* Mon Jul 14 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 5.14-0.1
- Autogenerated
